Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/yelp-xsl: new aports

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Wed, 3 Dec 2014 16:18:26 +0000

---
 testing/yelp-xsl/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/yelp-xsl/APKBUILD
diff --git a/testing/yelp-xsl/APKBUILD b/testing/yelp-xsl/APKBUILD
new file mode 100644
index 0000000..ef33b7d
--- /dev/null
+++ b/testing/yelp-xsl/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=yelp-xsl
+pkgver=3.14.0
+pkgrel=0
+pkgdesc="A collection of programs and data files to help you build,maintain, and distribute documentation."
+url="https://wiki.gnome.org/Apps/Yelp"
+arch="noarch"
+license="GPL/LGPL/MIT"
+depends=""
+depends_dev=""
+makedepends="intltool libxslt itstool"
+install=""
+subpackages=""
+source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/3.14/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="8965c1363857f223a6b761af6a37363d  yelp-xsl-3.14.0.tar.xz"
+sha256sums="8f5b6793cd600f8308e4ac93da68009169fa6d590eb71ed4a8e98bafe541a87e  yelp-xsl-3.14.0.tar.xz"
+sha512sums="d5f2b1b937a6b0c3f016c60be15e485d42d301446fd9b235a572a796d08481ef3f5d0df47bb5a394eb624bfe0eca650358ea1a635bbbd33e64da8e2709863483  yelp-xsl-3.14.0.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Dec 03 2014 - 16:18:26 UTC